Skip to content

LegalOn API (1.1.0)

API documentation for LegalOn services

Languages
Servers
The server URL is `{api_base_url}/rest/v1`. You can construct the server URL using the value of `api_base_url` provided in the response when obtaining an access token.
https://{api_base_url_without_scheme}/rest/v1

Users

Operations about user

Operations

User Groups

Operations about user group

Operations

Workspaces

Operations about all tenant workspaces/folders regardless of the user's access permissions.

Operations

Departments

Operations about department

Operations

Contracts(Files)

Operations to create, retrieve, update, and delete contracts. For operations that target a workspace, specify a workspace_id obtained via the common Workspaces endpoint (GET /workspaces).

Operations

Workspaces

Workspaces/folders are the common units used to store and organize resources such as contracts. This endpoint returns the workspaces/folders the calling user has access to, as a tree. For operations that target a workspace (e.g., the Contract API), specify the workspace_id obtained here. To manage workspaces across the tenant (creation, permissions, etc.), see the admin workspace operations (/spaces).

Operations

List workspaces/folders

Request

Retrieves the common workspaces/folders the caller has view permission for. Use the returned workspace_id for Contract API operations that target a workspace.

Security
OAuth2ClientCredentials
curl -i -X GET \
  'https://{api_base_url_without_scheme}/rest/v1/workspaces' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
workspacesArray of objects(workspace)required

Workspace/folder tree roots that the caller can access.

workspaces[].​workspace_idstring(uuid)required

Workspace/folder ID

workspaces[].​workspace_namestring[ 1 .. 100 ] charactersrequired

Workspace/folder name

workspaces[].​access_levelstring(access_level)required

Access level for the caller on the workspace/folder MANAGER:manager EDITOR:editor POSTER:poster VIEWER:viewer

Enum"MANAGER""EDITOR""POSTER""VIEWER"
workspaces[].​child_workspacesArray of objects(workspace)required

Child workspace/folder nodes that the caller can access.

Response
application/json
{ "workspaces": [ {} ] }